/* colors */
/* $black: #131313; */
/* $white: #e2e2e2; */
/* $pureWhite: #ffffff; */
/* $primary: #a36548; */
/* $secondary: #ffe296; */
/* $red: #b93032; */
/* $grey: #898989; */
/* $greyLight: #e2e2e2; */

/* %invalid - заменено на класс .invalid */
.invalid {
  border: 2px solid #b93032 !important;
}

label {
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 130%;
  margin-bottom: 0.375rem;
}

input,
select,
textarea {
  border: 1px solid #a36548;
  padding: 0.75rem;
  border-radius: 0;
  width: 100%;
  height: 3.5rem;
  background: transparent;
  color: #e2e2e2;
}

input::placeholder,
select::placeholder,
textarea::placeholder {
  color: #898989;
  font-size: 14px;
  font-weight: 400;
  line-height: 130%;
}

input:focus,
select:focus,
textarea:focus {
  border: 1px solid #a36548;
  outline: unset;
}

input.is-invalid,
select.is-invalid,
textarea.is-invalid {
  border: 2px solid #b93032 !important;
}

/* Скрываем по умолчанию */
.form__invalid-feedback {
  position: absolute;
  display: none; /* Добавляем это */
  color: #b93032;
  padding-bottom: 20px;
}

/* Показываем только если есть поле с ошибкой перед ним */
input.is-invalid ~ .form__invalid-feedback,
select.is-invalid ~ .form__invalid-feedback,
textarea.is-invalid ~ .form__invalid-feedback {
  display: block;
}

.hidden-field {
  position: absolute;
  left: -9999px;
  top: -9999px;
  height: 0;
  overflow: hidden;
  visibility: hidden;
}


textarea {
  height: auto;
}

.custom-checkbox {
  position: relative;
  display: flex;
  align-items: center;
  gap: 0.625rem; /* 10/16 */
  font-size: 1rem; /* 16/16 */
  font-weight: normal;
  cursor: pointer;
}

.custom-checkbox:before {
  content: "";
  display: inline-block;
  width: 1.25rem; /* 20/16 */
  height: 1.25rem; /* 20/16 */
  border-radius: 0.3125rem; /* 5/16 */
  border: 1px solid #a36548;
  flex-shrink: 0;
}

.custom-checkbox:after {
  /* preload */
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  opacity: 0.001;
  background: url("../../assets/img/check-active-dark.svg") no-repeat;
  z-index: -1;
}

.custom-checkbox:has(input:checked):before {
  border: none;
  background: url("../../assets/img/check-active-dark.svg") center center/contain no-repeat;
}

.custom-checkbox:has(input.is-invalid):before {
  border-color: #b93032;
}

.custom-checkbox input {
  position: absolute;
  left: 0;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip-path: inset(50%);
  white-space: nowrap;
  border: 0;
}

.was-validated .custom-checkbox:has(input:invalid):before {
  border-color: #b93032;
}



.table-custom {
    --bs-table-bg: auto;
    --bs-table-border-color: #a36548 !important;
}

.table-dark {
    color: #fff !important;
    --bs-table-color: #fff;
    --bs-table-bg: #212529;
    --bs-table-border-color: #4d5154;
    --bs-table-striped-bg: #2c3034;
    --bs-table-striped-color: #fff;
    --bs-table-active-bg: #373b3e;
    --bs-table-active-color: #fff;
    --bs-table-hover-bg: #323539;
    --bs-table-hover-color: #fff;
    color: var(--bs-table-color);
    border-color: var(--bs-table-border-color);
}

.table {
    --bs-table-color-type: initial;
    --bs-table-bg-type: initial;
    --bs-table-color-state: initial;
    --bs-table-bg-state: initial;
    --bs-table-color: var(--bs-emphasis-color);
    --bs-table-bg: var(--bs-body-bg);
    --bs-table-border-color: var(--bs-border-color);
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: var(--bs-emphasis-color);
    --bs-table-striped-bg: rgba(var(--bs-emphasis-color-rgb), 0.05);
    --bs-table-active-color: var(--bs-emphasis-color);
    --bs-table-active-bg: rgba(var(--bs-emphasis-color-rgb), 0.1);
    --bs-table-hover-color: var(--bs-emphasis-color);
    --bs-table-hover-bg: rgba(var(--bs-emphasis-color-rgb), 0.075);
    width: 100%;
    margin-bottom: 1rem;
    vertical-align: top;
    border-color: var(--bs-table-border-color);
}

table {
    caption-side: bottom;
    border-collapse: collapse;
}

.table>tbody {
    vertical-align: inherit;
}

tbody, td, tfoot, th, thead, tr {
    border-color: inherit;
    border-style: solid;
    border-width: 0;
}
tbody, td, tfoot, th, thead, tr {
    border-color: inherit;
    border-style: solid;
    border-width: 0;
}

tr {
    display: table-row;
    vertical-align: inherit;
    unicode-bidi: isolate;
    border-color: inherit;
}
.table>:not(caption)>*>* {
    padding: .5rem .5rem;
    color: var(--bs-table-color-state, var(--bs-table-color-type, var(--bs-table-color)));
    background-color: var(--bs-table-bg);
    border-bottom-width: var(--bs-border-width);
    box-shadow: inset 0 0 0 9999px var(--bs-table-bg-state, var(--bs-table-bg-type, var(--bs-table-accent-bg)));
}
